\documentclass[a4paper, trou]{./tpl/ddpoly-en}
\usepackage{dirtree}
\usepackage{wasysym}
\usepackage{mathtools}
\usepackage{enumitem}
\setlist{nolistsep}

\input{macro}
\input{tpl/listing-config}

  
\graphicspath{{tpl/}{img/}}
\ddmodulename{Computer Science}
\ddmodulenumber{Tutorial Minidem}
\ddauthor{D. André}
\dduniv{Ensil-Ensci}
\ddimg{\begin{center}\includegraphics[width=6cm]{img/arduino-logo}\end{center}}
\rien



\begin{document}
\renewcommand{\labelitemi}{$\bullet$}
\lstset{language=granCpp,style=granCpp}  
\lstset{language=granPython,style=granPython}  




\newdemexo{07}{Generate a Random Domain}

\noindent The aim of this tutorial is to show you how to generate a domain with randomness.

\vspace{0.5cm}

\begin{task}
  Download the module \dldem{minidem.py} and the script
  \dltutodem{07}{tuto-07\_exercice.py}. Run the script
  \dltutodem{07}{tuto-07\_exercice.py}.
\end{task}

\begin{info}
At this stage, you should obtain a simulation similar to the video \dltutodem{07}{tuto-07\_exercice.mp4}.
\end{info}

\begin{info}
  As shown in
  \href{https://www.w3schools.com/python/ref_random_random.asp}{this
    example}, the function \texttt{random()} from the \texttt{random}
  module returns a random number between 0 and 1.
\end{info}


\begin{task}
  Using the \texttt{random()} function, generate a random number between -0.5 and +0.5.
\end{task}

\begin{task}
  Introduce this random value into the initial positioning of the particles.
\end{task}

\begin{task}
  Also introduce some randomness into the radius of the particles.
\end{task}

\begin{task}
  Find one last way to introduce randomness into the initial conditions to disorganize the domain. Implement your idea.
\end{task}


\begin{info}
  At this stage, you should obtain a simulation similar to the video \dltutodem{07}{tuto-07\_correction.mp4}.
\end{info}

\end{document}
